## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.3
%bcond_without check

# https://github.com/path-network/go-mmproxy
%global goipath         github.com/path-network/go-mmproxy
Version:                2.1
%global tag             2.1

%gometa

%global common_description %{expand:
go-mmproxy is a standalone application that unwraps HAProxy's PROXY protocol
(also adopted by other projects such as NGINX) so that the network connection
to the end server comes from client's - instead of proxy server's - IP address
and port number.}

%global golicenses      LICENSE
%global godocs          README.md benchmark.png

Name:           %{goname}
Release:        %autorelease
Summary:        Golang implementation of MMProxy

# Upstream license specification: BSD-3-Clause
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(go.uber.org/zap)

%description
%{common_description}

%package -n     go-mmproxy
Summary:        %{summary}
%description -n go-mmproxy
%{common_description}

%gopkg

%prep
%goprep

%build
%gobuild -o %{gobuilddir}/bin/go-mmproxy %{goipath}

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/
install -Dpm0644 -t %{buildroot}%{_datadir}/go-mmproxy path-prefixes.txt

%if %{with check}
%check
%gocheck
%endif

%files -n go-mmproxy
%license LICENSE
%doc README.md benchmark.png go-mmproxy.service.example
%{_bindir}/*
%{_datadir}/go-mmproxy

%gopkgfiles

%changelog
* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> 2.1-4
- Rebuild for
  CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in golang

* Sat Jul 09 2022 Maxwell G <gotmax@e.email> 2.1-3
- Rebuild for CVE-2022-{24675,28327,29526 in golang}

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> 2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Aug 23 2021 Davide Cavalca <dcavalca@fedoraproject.org> 2.1-1
- Initial import; Fixes: RHBZ#1982286
